### org.jfree.layouting.renderer.model.table.rows

# Class SeparateRowModel

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.table.rows.AbstractRowModel`
  - - `org.jfree.layouting.renderer.model.table.rows.SeparateRowModel`

Implemented Interfaces:
  TableRowModel

`public class SeparateRowModel`
`extends AbstractRowModel`

Creation-Date: 22.07.2006, 15:23:00

Author:
  Thomas Morgner

  ## Constructor Summary

  `SeparateRowModel(TableSectionRenderBox tableSection)`

  ## Method Summary

  `void`

  `clear()`

  `long`

  `getPreferredSize()`

  `long`

  `getRowSpacing()`

  `void`

  `validateActualSizes()`

  `void`

  `validateSizes()`

  ### Methods inherited from class org.jfree.layouting.renderer.model.table.rows.AbstractRowModel

  `addRow`, `getRow`, `getRowCount`, `getRowSpacing`, `getRows`, `getTableSection`

## Constructor Details

### SeparateRowModel

    public SeparateRowModel(TableSectionRenderBox tableSection)

## Method Details

### clear

    public void clear()

> Specified by:
>   clear in interface TableRowModel

### getPreferredSize

    public long getPreferredSize()

> Specified by:
>   getPreferredSize in interface TableRowModel

### getRowSpacing

    public long getRowSpacing()

> Specified by:
>   getRowSpacing in interface TableRowModel
> Overrides:
>   getRowSpacing in interface AbstractRowModel

### validateActualSizes

    public void validateActualSizes()

> Specified by:
>   validateActualSizes in interface TableRowModel

### validateSizes

    public void validateSizes()

> Specified by:
>   validateSizes in interface TableRowModel